<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">sdkInterfaces</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth.html">bluetooth</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html">BluetoothHostControllerInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_bluetooth_host_controller_interface_8h_source.html">BluetoothHostControllerInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html" title="An implementation of the BluetoothHostControllerInterface using BlueZ. " alt="" coords="28,105,205,157"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af2b3211acc22d9b3cafd935e43885af2"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#af2b3211acc22d9b3cafd935e43885af2">~BluetoothHostControllerInterface</a> ()=default</td></tr>
<tr class="memdesc:af2b3211acc22d9b3cafd935e43885af2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#af2b3211acc22d9b3cafd935e43885af2">More...</a><br /></td></tr>
<tr class="separator:af2b3211acc22d9b3cafd935e43885af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad00efd89330319ae7a2da9237b1341fd"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#ad00efd89330319ae7a2da9237b1341fd">getMac</a> () const =0</td></tr>
<tr class="separator:ad00efd89330319ae7a2da9237b1341fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23c9caf4c08e9cac5d7aa38ae61de06c"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#a23c9caf4c08e9cac5d7aa38ae61de06c">getFriendlyName</a> () const =0</td></tr>
<tr class="separator:a23c9caf4c08e9cac5d7aa38ae61de06c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15399f5fed5701bd2249d9678329fcc0"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#a15399f5fed5701bd2249d9678329fcc0">isDiscoverable</a> () const =0</td></tr>
<tr class="separator:a15399f5fed5701bd2249d9678329fcc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd3bee21d7d12bcbe401c4365bf1290f"><td class="memItemLeft" align="right" valign="top">virtual std::future&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#abd3bee21d7d12bcbe401c4365bf1290f">enterDiscoverableMode</a> ()=0</td></tr>
<tr class="separator:abd3bee21d7d12bcbe401c4365bf1290f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a453340f566b4b69c097b3fc2611c5b35"><td class="memItemLeft" align="right" valign="top">virtual std::future&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#a453340f566b4b69c097b3fc2611c5b35">exitDiscoverableMode</a> ()=0</td></tr>
<tr class="separator:a453340f566b4b69c097b3fc2611c5b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0732433666996cc1a1620683e89cd1a"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#ae0732433666996cc1a1620683e89cd1a">isScanning</a> () const =0</td></tr>
<tr class="separator:ae0732433666996cc1a1620683e89cd1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55b5f90e1bf2b539bd4c3d96fe0318bd"><td class="memItemLeft" align="right" valign="top">virtual std::future&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#a55b5f90e1bf2b539bd4c3d96fe0318bd">startScan</a> ()=0</td></tr>
<tr class="separator:a55b5f90e1bf2b539bd4c3d96fe0318bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bba8e3344763d6735979e016e20c017"><td class="memItemLeft" align="right" valign="top">virtual std::future&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html#a0bba8e3344763d6735979e016e20c017">stopScan</a> ()=0</td></tr>
<tr class="separator:a0bba8e3344763d6735979e016e20c017"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">An interface to represent the HostControllerInterface on the local system. This is responsible for Scanning and Discovery. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af2b3211acc22d9b3cafd935e43885af2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2b3211acc22d9b3cafd935e43885af2">&#9670;&nbsp;</a></span>~BluetoothHostControllerInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::~BluetoothHostControllerInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="abd3bee21d7d12bcbe401c4365bf1290f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd3bee21d7d12bcbe401c4365bf1290f">&#9670;&nbsp;</a></span>enterDiscoverableMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::future&lt;bool&gt; alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::enterDiscoverableMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set the adapter to become discoverable.</p>
<dl class="section return"><dt>Returns</dt><dd>Indicates whether the operation was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#a7d3df86551e1acb3a44cb0ebaef13bca">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>.</p>

</div>
</div>
<a id="a453340f566b4b69c097b3fc2611c5b35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a453340f566b4b69c097b3fc2611c5b35">&#9670;&nbsp;</a></span>exitDiscoverableMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::future&lt;bool&gt; alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::exitDiscoverableMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set the adapter to become non-discoverable.</p>
<dl class="section return"><dt>Returns</dt><dd>Indicates whether the operation was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#a93ae48b0cea6d8f6ba50a7a604e9d6b5">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>.</p>

</div>
</div>
<a id="a23c9caf4c08e9cac5d7aa38ae61de06c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23c9caf4c08e9cac5d7aa38ae61de06c">&#9670;&nbsp;</a></span>getFriendlyName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::getFriendlyName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Getter for the friendly name of the adapter.</p>
<dl class="section return"><dt>Returns</dt><dd>The friendly name of the adapter. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#a8cbac4aafe0e3abea68eb3c2072a9edd">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>.</p>

</div>
</div>
<a id="ad00efd89330319ae7a2da9237b1341fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad00efd89330319ae7a2da9237b1341fd">&#9670;&nbsp;</a></span>getMac()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::getMac </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Getter for the MAC address of the adapter.</p>
<dl class="section return"><dt>Returns</dt><dd>The MAC address of the adapter. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#acfc5211e939b5f469efde0449851f34e">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>.</p>

</div>
</div>
<a id="a15399f5fed5701bd2249d9678329fcc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15399f5fed5701bd2249d9678329fcc0">&#9670;&nbsp;</a></span>isDiscoverable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::isDiscoverable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Getter for the discoverability of the device. This must wait until any prior enterDiscoverableMode or exitDiscoverableMode methods have finished.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the device is currently discoverable by other devices. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#a62e6489e249627a7852c2fd22a608ac0">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>.</p>

</div>
</div>
<a id="ae0732433666996cc1a1620683e89cd1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0732433666996cc1a1620683e89cd1a">&#9670;&nbsp;</a></span>isScanning()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::isScanning </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Getter for the scanning state of the device. This must wait until any prior startScan or stopScan methods have finished.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the device is currently scanning for other devices. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#ad751023cd3651135a6f3dfcdf6ba3edf">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>.</p>

</div>
</div>
<a id="a55b5f90e1bf2b539bd4c3d96fe0318bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55b5f90e1bf2b539bd4c3d96fe0318bd">&#9670;&nbsp;</a></span>startScan()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::future&lt;bool&gt; alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::startScan </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set the adapter to start scanning.</p>
<dl class="section return"><dt>Returns</dt><dd>Indicates whether the operation was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#af4ae4b72b1a2769164445714c5d8fcf8">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>.</p>

</div>
</div>
<a id="a0bba8e3344763d6735979e016e20c017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bba8e3344763d6735979e016e20c017">&#9670;&nbsp;</a></span>stopScan()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::future&lt;bool&gt; alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothHostControllerInterface::stopScan </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set the adapter to stop scanning.</p>
<dl class="section return"><dt>Returns</dt><dd>Indicates whether the operation was successful. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html#a5579dfdcc2eca8ef073fd52990ef9a3c">alexaClientSDK::bluetoothImplementations::blueZ::BlueZHostController</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/Bluetooth/<a class="el" href="_bluetooth_host_controller_interface_8h_source.html">BluetoothHostControllerInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
